基于pymqi开发的程序,打包exe时,运行报错。?报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

基于pymqi开发的程序,打包exe时,运行报错。?报错

爱吃鱼的程序员 2020-06-09 13:21:21 80


报错信息:


Traceback (most recent call last):
  File "<string>", line 7, in <module>
  File "D:\Python27\Lib\site-packages\PyInstaller
 line 389, in load_module
    exec(bytecode, module.dict)
  File "build\bdist.win32\egg\pymqi_init_.py",
  File "D:\Python27\Lib\site-packages\PyInstaller
 line 389, in load_module
    exec(bytecode, module.dict)
  File "build\bdist.win32\egg\pymqi\pymqe.py", li
  File "build\bdist.win32\egg\pymqi\pymqe.py", li
ImportError: DLL load failed: 找不到指定的模块。
?


--------------------------------------


pymqe文件:


def bootstrap():
    global bootstrap, loader, file
    import sys, pkg_resources, imp
    file = pkg_resources.resource_filename(name, 'pymqe.pyd')
    loader = None; del bootstrap, loader
    imp.load_dynamic(name,file)
bootstrap()


打包的时候没有识别到依赖文件?pymqe.pyd,手工添加依赖文件后,还是运行报错,求大神指点?


前端开发
分享到
取消 提交回答
全部回答(1)
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题
推荐课程